--WeekKeys.Event = LibStub("AceEvent-3.0")

function WeekKeys:ADDON_LOADED(_,addon) -- insert keystone
    if addon == "Blizzard_ChallengesUI" then
        hooksecurefunc(ChallengesKeystoneFrame,"Show",function ()
            for container = 0, 4 do
                for slot=1, GetContainerNumSlots(container) do
                    local _, _, _, _, _, _, _, _, _, id = GetContainerItemInfo(container, slot)
                    if id and id == 158923 then
                        PickupContainerItem(container, slot)
                        if (CursorHasItem()) then
                            return C_ChallengeMode.SlotKeystone()
                        end
                    end
                end
            end
        end)
    end
end
function WeekKeys:PLAYER_ENTERING_WORLD()
    C_Timer.After(1,C_MythicPlus.RequestRewards)
end
function WeekKeys:CHALLENGE_MODE_MAPS_UPDATE()
    WeekKeys.PlayerData()
end

function WeekKeys:CHAT_MSG_PARTY(event, msg)
    if string.lower(msg) == "!keys" or string.lower(event) == "!keys" then
        for container = 0, 4 do
            for slot=1, GetContainerNumSlots(container) do
                local _, _, _, _, _, _, slotLink, _, _, _ = GetContainerItemInfo(container, slot)
                if slotLink and slotLink:match("|Hkeystone:") then
                    return SendChatMessage("WeekKeys "..slotLink,"party")
                end
            end
        end
    end
end

function WeekKeys:CHAT_MSG_LOOT() -- looting weekly chest
    C_Timer.After(1,function()
        C_MythicPlus.RequestRewards()
    end)
end

function WeekKeys:MYTHIC_PLUS_CURRENT_AFFIX_UPDATE()
    WeekKeys.Affixes.init()
end

--[[
function WeekKeys:CHAT_MSG_ADDON(prefix, msg, channel, sender)
    if self[prefix] and self[prefix][channel] then -- check if addon enabled
        self[prefix][channel](msg,sender)
    end
end
]]

--[[
    evFrame:RegisterEvent("BN_CHAT_MSG_ADDON")
]]